diff --git a/web/pgadmin/static/css/aci_tree.overrides.css b/web/pgadmin/static/css/aci_tree.overrides.css
index 6d93ed2d..212afaad 100644
--- a/web/pgadmin/static/css/aci_tree.overrides.css
+++ b/web/pgadmin/static/css/aci_tree.overrides.css
@@ -5,8 +5,8 @@
 
 /* Hover over an element */
 .aciTree .aciTreeLine.aciTreeHover .aciTreeItem  {
-    background-color: #e7f2ff;
-    border-color: #84acdd;
+    background-color: #fff;
+    border-color: #fff;
 }
 
 /* Selected element and in focus*/
@@ -16,6 +16,26 @@
 
 /* Selected element but not in focus */
 .aciTree .aciTreeSelected > .aciTreeLine .aciTreeItem {
-    background-color: #e7f2ff;
-    border-color: #84acdd;
-}
\ No newline at end of file
+    background-color: #2c76b4;
+    border-color: #2c76b4;
+}
+
+/* Set selected element color to #2c76b4 */
+.aciTree ul li.aciTreeSelected .aciTreeLine[aria-selected="true"],
+ .aciTree ul li.aciTreeSelected .aciTreeHover[aria-selected="true"] {
+  background-color: #2c76b4;
+  width: 100%;
+}
+
+.aciTree ul li.aciTreeSelected .aciTreeLine[aria-selected="true"] .aciTreeItem {
+  border-color: #2c76b4;
+  background: #2c76b4;
+}
+
+.aciTree ul li.aciTreeSelected .aciTreeLine[aria-selected="true"] .aciTreeItem .aciTreeText{
+  color: #fff;
+}
+
+.aciTree.aciTreeFocus .aciTreeSelected.aciTreeFocus>.aciTreeLine .aciTreeItem {
+  border-color: #2c76b4;
+}
